## grantleetheme 24.12.1

=== debian/changelog ===
grantleetheme (24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 22:51:06 +0100
