## grantleetheme 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 set(KF_MIN_VERSION "6.6.0")
-set(PIM_VERSION "6.3.1")
+set(PIM_VERSION "6.3.3")
 set(QT_REQUIRED_VERSION "6.7.0")
 project(GrantleeTheme VERSION ${PIM_VERSION})
