## grantleetheme 25.11.90

=== debian/changelog ===
grantleetheme (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:59:16 +0000
